Bug 114431 - Remove WTF_USE_PLATFORM_STRATEGIES
Summary: Remove WTF_USE_PLATFORM_STRATEGIES
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 112162
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-11 03:14 PDT by Carlos Garcia Campos
Modified: 2013-05-15 01:07 PDT (History)
4 users (show)

See Also:


Attachments
Patch (29.68 KB, patch)
2013-05-14 06:58 PDT, Carlos Garcia Campos
buildbot: commit-queue-
Details | Formatted Diff | Diff
Fix typo (29.68 KB, patch)
2013-05-14 08:11 PDT, Carlos Garcia Campos
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2013-04-11 03:14:19 PDT
Once all ports implement platform strategies, we can remove the WTF_USE_PLATFORM_STRATEGIES define and get rid of all the #ifdefs.

Now that chromium has been removed and wx is about to be removed, I think the only port not implementing platform strategies is BlackBerry.
Comment 1 Carlos Garcia Campos 2013-05-14 06:58:56 PDT
Created attachment 201710 [details]
Patch
Comment 2 Build Bot 2013-05-14 07:31:05 PDT
Comment on attachment 201710 [details]
Patch

Attachment 201710 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/474154
Comment 3 Build Bot 2013-05-14 08:00:00 PDT
Comment on attachment 201710 [details]
Patch

Attachment 201710 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/471177
Comment 4 Carlos Garcia Campos 2013-05-14 08:11:38 PDT
Created attachment 201716 [details]
Fix typo
Comment 5 Darin Adler 2013-05-14 10:06:23 PDT
Comment on attachment 201716 [details]
Fix typo

View in context: https://bugs.webkit.org/attachment.cgi?id=201716&action=review

> Source/WebCore/ChangeLog:8
> +        No new tests, no new functionality.

Normally it’s fine to just omit a line like this from the change log, unless you feel that it’s unclear without it.
Comment 6 Carlos Garcia Campos 2013-05-15 01:07:14 PDT
Committed r150104: <http://trac.webkit.org/changeset/150104>